Bug: https://bugs.gentoo.org/894550
--- a/hddled.c
+++ b/hddled.c
@@ -43,6 +43,15 @@
 
 #define PACKAGE_STRING    "hddled 0.3"
 #define PACKAGE_BUGREPORT "hddled@very.puzzling.org"
+/* taken from glibc unistd.h and fixes musl */
+#ifndef TEMP_FAILURE_RETRY
+#define TEMP_FAILURE_RETRY(expression) \
+  (__extension__                                                              \
+    ({ long int __result;                                                     \
+       do __result = (long int) (expression);                                 \
+       while (__result == -1L && errno == EINTR);                             \
+       __result; }))
+#endif
 
 #define VMSTAT "/proc/vmstat"
 
